
	preserve

	use "Survey of KUR borrowers\main_deidentified.dta"
		
	foreach x in a b 	{

		levelsof fl03`x'1, local(val_fl03`x'1)
		local i = 1
		foreach y in `val_fl03`x'1' 	{
		
			gen fl03`x'1_`i' 		= 1 if fl03`x'1 == "`y'"
			replace fl03`x'1_`i' 	= 0 if fl03`x'1 ~= "`y'"
			local ++i
		}
		
	cap rename fl03`x'1_14 fl03a1_95

	}
	
	collapse (mean) fl03a1_* fl03b1_* [fw = wgt]
	gen pivot = 1
	
	reshape long fl03a1_ fl03b1_, i(pivot) j(cat)
	
	la define val_fl03 	///
		1 "Commercial banks" 			///
		2 "Microfinance institutions" 	///
		3 "BPR" 						///
		4 "Government program" 			///
		5 "Pawnshop" 					///
		6 "Leasing" 					///
		7 "Moneylender" 				///
		8 "Input supplier" 				///
		9 "Spouse (loans or gifts)" 	///
		10 "Friends or family other than spouse (loans or gifts)" 	///
		11 "Personal savings" 			///
		12 "Savings from business/reinvested profits" 				///
		13 "Other" 						///
		95 "Not applicable"
		
	gen lab = ""
	forvalues j = 1/13 	{
		
		local laba: label val_fl03 `j'
		replace lab = `"`laba'"' if cat == `j'
		
	}
	
	drop if cat == 95 | cat == 5 | cat == 6 | cat == 3 | cat == 7 | cat == 4 | cat == 13
	
	replace fl03a1_ = round(fl03a1_*100, 1)
	replace fl03b1_ = round(fl03b1_*100, 1)
	
	gsort -fl03a1_
	gen x = _n
	graph hbar fl03a1_ fl03b1_, over(lab, sort(x) label(labsize(small))) 	///
		ytitle("% firms citing as main source", size(small)) 				///
		blabel(bar, size(small)) ylabel(, labsize(small)) 					///
		legend(col(1) row(2) size(small) order(1 "Main source of capital investment"  	///
			2 "Main source of working capital") region(lstyle(none)) 		///
			symxsize(*0.5)) 												///
		title("Main Source of Capital Prior to Receiving KUR", size(medium) span) 		///
		subtitle(" ", margin(l+0 r+0 b-1 t-1)) 								///
		note("Source: Author calculations using survey of KUR borrowers", 	///
			position(7) span size(vsmall))
	graph export "$output\[KUR] Figure 4.png", replace 
	
	restore
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
