preserve
	
	use "$data_c\rf05_collapsed.dta", clear	
	
	gen gradtype			= .
		replace gradtype	= 1 if kur_micro == 1 
		replace gradtype	= 2 if kur_small == 1
		replace gradtype	= 3 if kur_micro > 0 & kur_small > 0 & kur_non == 0
		replace gradtype	= 4 if kur_micro > 0 & kur_non > 0 & kur_small == 0
		replace gradtype	= 5 if kur_micro == 0 & kur_small > 0 & kur_non > 0
	
	forvalue i = 1/5 	{
	
		gen grad_`i' 		= gradtype == `i'
		
	}
	
	gen grad_6 				= (grad_3 == 1 | grad_4 == 1 | grad_5 == 1)
	
	keep if loantype_miss == 0
	
	collapse (mean) grad_* [fw=wgt_mean]
	
	gen pivot 		= 1
	reshape long grad_, i(pivot) j(cat)
	
	gen label 		= ""
	replace label 	= "Only had KUR micro" 				if cat == 1
	replace label 	= "Only had KUR small"		 		if cat == 2
	replace label 	= "Graduated micro to small KUR" 	if cat == 3
	replace label 	= "Graduated micro to non-KUR" 		if cat == 4
	replace label 	= "Graduated small to non-KUR" 		if cat == 5
	replace label 	= "Graduated (any type)" 			if cat == 6
	
	
	replace grad_ 	= round(grad_*100, 0.1)
			
	gr bar grad_, over(label, sort(cat) label(labsize(small)) 		///
			relabel(1 `" "Graduated" "(any type)""' 2 `""Graduated" "micro KUR to" "non-KUR loans""' 3 `""Graduated micro" "KUR to" "small KUR""' 4 `""Graduated small" "KUR to" "non-KUR loans""' 5 `""Only had" "KUR micro""' 6 `""Only had" "KUR small""') ) ///
		blabel(bar, size(small) format(%4.1f)) ylabel(, labsize(small)) 		///
		ytitle("Percent") 														///
		title("Do Firms Who Receive KUR Graduate to Other Types of Loans?", size(medium) span) 		///
		note("Source: Author calculations using survey of KUR borrowers", 		///
			position(6) span size(vsmall))										///
		ylabel(0(20)85)
	graph export "$output\[KUR] Figure 6.png", replace 		
	
	restore