	
	preserve
	
	use "$data_c\rf05_collapsed.dta", clear
	
	*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	
	gen loan_num 		= 1 if loan_kur == 1
	replace loan_num 	= 2 if loan_kur == 2
	replace loan_num 	= 3 if loan_kur == 3 
	replace loan_num 	= 4 if loan_kur >= 4	

	
	la define loan_num_lab 	///
		1 "1" 				///
		2 "2" 				///
		3 "3" 				///
		4 "4 or more"
 		
	la value loan_num loan_num_lab	
	
	gr bar [fw=wgt_mean] if loantype_miss == 0, over(loan_num, label(labsize(small))) 					///
		blabel(bar, size(small) format(%4.1f)) ylabel(, labsize(small)) 		///
		ytitle("Percent") 														///
		title("Number of KUR Loans Borrowers Received", size(medium) span) 		///
		note("Source: Author calculations using survey of KUR borrowers", 		///
			position(6) span size(vsmall)) 										///
		ylabel(0(10)55)
	graph export "$output\[KUR] Figure 7.png", replace 		
	
	restore
		
