
	preserve
	
	use "Survey of KUR borrowers\main_deidentified.dta", clear
	
	*~ Generating New Variable
	*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~	
	gen year = substr(fl01, 4, 4)
	destring year, replace
	
	merge 1:1 id_unique using "$data_c/rf05_collapsed.dta"
	drop _merge
	
	gen loan_num 		= 1 if loan_kur == 1
	replace loan_num 	= 2 if loan_kur == 2
	replace loan_num 	= 3 if loan_kur == 3 
	replace loan_num 	= 4 if loan_kur >= 4	

	
	forvalue i = 1/4 		{
	
		gen loan_num_`i' 		= 1 if loan_num == `i'
		replace loan_num_`i' 	= 0 if loan_num ~= `i'
		
	}	
	
	cap which labvars
	if _rc {
		ssc install labvars
	}
	
	labvars loan_num_* 	///
		"1" 			///
		"2" 			///
		"3" 			///
		"4 or more"
		
	drop if year < 2015	
		
	gr bar loan_num_* [fw=wgt_mean] if loantype_miss == 0, over(year, label(labsize(small))) stack 						///
		legend(col(1) row(2) size(small) order(1 "1" 2 "2" 3 "3" 4 "4 or more") 				///
			region(lstyle(none)) symxsize(*0.5)) ylabel(, labsize(small))						///
		title(`"Number of KUR Loans Received Between 2015 and 2020"' `"by Year of First KUR Loan"', 	///
			size(medium) span) 																	///
		subtitle(" ", margin(l+0 r+0 b-1 t-1)) 													///
		note("Source: Author calculations using survey of KUR borrowers", position(7) 			///
			span size(vsmall))
	graph export "$output\[KUR] Figure 8.png", replace 
	
	restore
