
	use "Survey of KUR borrowers\main_deidentified.dta", clear
	
	gen econsector_1 	= inlist(bi01b_sector, 45, 46, 47)
	gen econsector_2 	= inlist(bi01b_sector, 1)
	gen econsector_3 	= inlist(bi01b_sector, 10, 11, 13, 14, 15, 16, 18, 	///
											   20, 22, 23, 24, 25, 26, 27, 	///
											   31, 32)
	gen econsector_4 	= inlist(bi01b_sector, 56)
	gen econsector_5 	= inlist(bi01b_sector, 61,95, 96, 64, 74, 	///
											   77, 93, 85, 86, 90)
	gen econsector_6 	= inlist(bi01b_sector, 8,3, 2)
	gen econsector_7 	= inlist(bi01b_sector, 49, 50, 52, 55)
	gen econsector_8 	= inlist(bi01b_sector, 41, 43)
	
	preserve
	
	collapse (mean) econsector_* [fw=wgt]
	gen pivot 			= 1
	reshape long econsector_, i(pivot) j(cat)
	
	gen label 			= ""
	replace label 		= "Wholesale and retail trade"  if cat == 1
	replace label 		= "Crop and animal production"  if cat == 2
	replace label 		= "Manufacturing" 			    if cat == 3
	replace label 		= "Food and beverages services" if cat == 4
	replace label 		= "Other services" 				if cat == 5
	replace label 		= "Other primary activities" 	if cat == 6
	replace label 		= "Transport and accommodation" if cat == 7
	replace label 		= "Construction" 				if cat == 8
	
	replace econsector_ = round(econsector_*100, 0.1)
	
	gr hbar econsector_, over(label, sort(cat) label(labsize(small))) 					///
		ytitle("Percentage", size(small)) 												///
		blabel(bar, size(small)) ylabel(, labsize(small)) 								///
		title("Share of KUR Borrowers in Different Sectors of Activity", size(medium) span) 		///
		subtitle(" ", margin(l+0 r+0 b-1 t-1)) 											///
		note("Source: Author calculations using survey of KUR borrowers", 				///
			position(7) span size(vsmall)) 												///
		yscale(r(0 45))
	graph export "$output\[KUR] Figure A3.png", replace 		
	
	restore
	
