
	use "Survey of KUR borrowers\main_deidentified.dta", clear

	gen docu_1 		= strmatch(bi07, "*B*")
	gen docu_2 		= strmatch(bi07, "*C*") | strmatch(bi07, "*F*")
	gen docu_3 		= strmatch(bi07, "*G*")
	gen docu_4 		= strmatch(bi07, "*W*")
	
	preserve
	
	collapse (mean) docu_* [fw=wgt]
	
	gen pivot 		= 1
	reshape long docu_, i(pivot) j(cat)
	
	gen label 		= ""
	replace label 	= "Tax number (TIN)" 				if cat == 1
	replace label 	= "Trade license (SIUP/IUMK)" 		if cat == 2
	replace label 	= "Business certificate (SKU/SKDU)" if cat == 3
	replace label 	= "Do not have any" 				if cat == 4
	
	replace docu_ 	= round(docu_*100, 0.1)
	
	
	gr bar docu_ , over(label, sort(cat) label(labsize(small)) ///
			relabel(3 `"Tax number (TIN)"' 4 `" "Trade licenses (SIUP)" "and small business" "license (IUMK)" "' 1 `" "Business certificate(SKU)/" "certificate of business" "domicile (SKDU)" "' 2 "Do not have any")) ///
		blabel(bar, size(small) format(%4.1f)) ylabel(, labsize(small)) 		///
		ytitle("Percent") 														///
		title("Types of Documentation Business", size(medium) span) 		///
		note("Source: Author calculations using survey of KUR borrowers", 		///
			position(7) span size(vsmall))	
	graph export "$output\[KUR] Figure A4.png", replace 			
	
	restore
	

	
	
	
