
	use "Survey of KUR borrowers\main_deidentified.dta", clear
	
	gen othincome_1 		= rf16a == 1
	gen othincome_2			= (rf16a == 1 | rf16b == 1 | rf16c == 1)
	gen othincome_3			= (rf16a == 1 | rf16d == 1 | rf16g == 1)
		replace othincome_3	= . if rf16a == . | rf16d == . | rf16g == .
	gen othincome_4			= (rf16a == 1 | rf16b == 1 | rf16c == 1 | rf16d == 1 | rf16e == 1 | rf16f == 1 | rf16g == 1 | rf16h == 1 | rf16i == 1 )
							   
	preserve
	
	collapse (mean) othincome_* [fw=wgt]
	
	gen pivot 		= 1
	reshape long othincome_, i(pivot) j(cat)
	
	gen label 		= ""
	replace label 	= "Respondent salary" 				if cat == 1
	replace label 	= "Respondent any job"		 		if cat == 2
	replace label 	= "HH member salary" 				if cat == 3
	replace label 	= "Income from any HH member" 		if cat == 4
	
	replace othincome_ 	= round(othincome_*100, 0.1)
	
	
	gr bar othincome_ , over(label, sort(cat) label(labsize(small)) ///
			relabel(4 `" "Respondent has" "salaried job" "' 3 `" "Respondent has" "secondary earnings" "(any job)" "' 1 `" "Any household" "member has salary job" "' 2 `" "Income from any" "household member" "')) ///
		blabel(bar, size(small) format(%4.1f)) ylabel(, labsize(small)) 		///
		ytitle("Percent") 														///
		title(`"% KUR Borrowers in Households with Other Income Sources"' `"than the Business of Interest"', size(medium) span) 		///
		note("Source: Author calculations using survey of KUR borrowers", 		///
			position(6) span size(vsmall)) 										///
		ylabel(0(20)100)
	graph export "$output\[KUR] Figure A5.png", replace 			
	
	restore							   
	









