
	preserve
	
	use "Survey of KUR borrowers\rf05_deidentified.dta", clear
	
	*~ Generating New Variable based on RF05
	*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	sort id_unique rf05b rf05a
	gen number 				=_n
	
	egen order_loan			= rank(number), by(id_unique)
	
	gen loan_kur 			= inlist(rf05c, 1, 2, 3)
		replace loan_kur 	= . if rf05c==98
	gen loantype_miss		= rf05c == 98
	
	gen threshold		  = .
		replace threshold = 5000000 if rf05b < 2011
		replace threshold = 20000000 if rf05b >= 2011 & rf05b < 2016
		replace threshold = 25000000 if rf05b > 2015 & rf05b < 2020
		replace threshold = 50000000 if rf05b >= 2020 & rf05b ~= .	
		
 	gen kur			 = rf05c == 1 | rf05c == 2 | rf05c == 3
		replace kur	 = . if rf05c == 98
	
	gen kur_non			 = rf05c == 4	
		
	gen kur_micro 		  = kur == 1 & rf05a <= threshold
		replace kur_micro = . if kur == .
		replace kur_micro = 0 if kur_micro ==.
		
	gen kur_small 		  = kur == 1 & rf05a > threshold & rf05a ~=.
		replace kur_small = . if kur == .
		replace kur_small = 0 if kur_small ==.		
	
	collapse ///
		(sum) loan_kur loantype_miss 					///
		(mean) wgt  									///
		(max) kur_micro kur_small kur_non order_loan, 	///
			by(id_unique)
	rename wgt wgt_mean
	
	save "$data_c\rf05_collapsed.dta", replace
	
	restore
