

	
	use "Survey of KUR borrowers\rf05_deidentified.dta", clear
	
	global output "Output"
	global data_c "Data Created"
	
	*~ Generating New Variable based on RF05
	*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	sort id_unique rf05b rf05a
	gen number 				=_n
		
 	gen kur 			 = rf05c == 1 | rf05c == 2 | rf05c == 3
		replace kur		 = . if rf05c == 98
	
	egen order_loan			= rank(number), by(id_unique)	
	egen last_loan 			= max(order_loan), by(id_unique)
	keep if order_loan 		== last_loan
	
	merge 1:1 id_unique using "Survey of KUR borrowers\main_deidentified.dta"
	drop _merge
	

	*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~	
	
	*~ Generating New Variable based on merged data
	*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~	
	
	keep if kur==1
	
	putexcel set "$output\Table 3.xlsx", replace
	putexcel A1=("Purpose") B1=("Average share of KUR loans used")

		local x=2
		
		foreach var in rf14a rf14b rf14c rf14d rf14e rf14f rf14g {
			local lbl: variable label `var'
			sum `var' [aw=wgt]
			putexcel A`x'=("`lbl'") B`x'=(r(mean))
			local x=`x'+1
		}